//
//  rating.h
//  PasserRatingTool
//
//  Created by Xcode User on 7/1/10.
//  Copyright 2010 Fritz Anderson. All rights reserved.
//

/**
 Calculate a passer rating, given statistics for a game or career.
 
 @param comps   The number of completed attempts. Must be >= atts.
 @param atts    The number of attempted passes. Must be >= 0.
 @param yds     Yards gained from passing. Must be 0 if atts == 0, otherwise >= 0.
 @param tds     Touchdowns from passing. Must be 0 if atts == 0, otherwise >= 0.
 @param ints    The number of intercepted passes. Must be 0 if atts == 0, otherwise >= 0.
 
 @return The passer rating
 
 @see http://en.wikipedia.org/wiki/Quarterback_Rating
 */
float
passer_rating(int comps, int atts, int yds, int tds, int ints);
